javax.xml.xpath

## Class XPathExpressionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.xpath.XPathException
      - - javax.xml.xpath.XPathExpressionException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    XPathFunctionException

      public class XPathExpressionException
      extends XPathException

  `XPathExpressionException` represents an error in an XPath expression.
  Since:
    1.5
  Version:
    $Revision: 1.1 $, $Date: 2005/04/08 10:39:14 $
  Author:
    Norman Walsh, Jeff Suttor
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathExpressionException(java.lang.String message)` Constructs a new `XPathExpressionException` with the specified detail `message`.
    `XPathExpressionException(java.lang.Throwable cause)` Constructs a new `XPathExpressionException` with the specified `cause`.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.xpath.XPathException

      `getCause, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathExpressionException

          public XPathExpressionException(java.lang.String message)

      Constructs a new `XPathExpressionException` with the specified detail `message`.

      The `cause` is not initialized.

      If `message` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `message` - The detail message.

    - #### XPathExpressionException

          public XPathExpressionException(java.lang.Throwable cause)

      Constructs a new `XPathExpressionException` with the specified `cause`.

      If `cause` is `null`, then a `NullPointerException` is thrown.

      Parameters:
        `cause` - The cause.
      Throws:
        `java.lang.NullPointerException` - if `cause` is `null`.

Copyright © 2014 Apache XML Project. All Rights Reserved.